module gitlab.bit9.local/psc/platform/ems/hello/last-contact-updater

go 1.21.5

require (
	carbonblack.com/protocols/psc/devicelastcontacttime v1.11.3077
	carbonblack.com/protocols/psc/ems/assetupdater v1.3.3559
	github.com/a8m/kinesis-producer v0.2.0
	github.com/aws/aws-sdk-go v1.55.5
	github.com/awslabs/kinesis-aggregation/go v0.0.0-20230808105340-e631fe742486
	github.com/boumenot/gocover-cobertura v1.2.0
	github.com/google/uuid v1.6.0
	github.com/jstemmer/go-junit-report v1.0.0
	github.com/labstack/echo/v4 v4.12.0
	github.com/onsi/ginkgo/v2 v2.20.0
	github.com/onsi/gomega v1.34.1
	github.com/prometheus/client_golang v1.20.0
	github.com/rcrowley/go-metrics v0.0.0-20201227073835-cf1acfcdf475
	github.com/rs/zerolog v1.33.0
	github.com/sirupsen/logrus v1.9.3
	github.com/spf13/viper v1.19.0
	github.com/stretchr/testify v1.9.0
	github.com/tuvistavie/securerandom v0.0.0-20140719024926-15512123a948
	github.com/vmware/vmware-go-kcl v1.5.1
	github.com/wavefronthq/go-metrics-wavefront v1.0.3
	gitlab.bit9.local/psc/platform/orgkey-go/v3 v3.0.1
	gitlab.bit9.local/psckit/pscapp v0.1.6
	gitlab.bit9.local/psckit/pscweb v1.3.10
	google.golang.org/protobuf v1.34.2
	gopkg.in/h2non/gentleman.v2 v2.0.5
	gopkg.in/olivere/elastic.v5 v5.0.86
	gopkg.in/olivere/elastic.v6 v6.2.37
)

require (
	github.com/beorn7/perks v1.0.1 // indirect
	github.com/caio/go-tdigest v3.1.0+incompatible // indirect
	github.com/cespare/xxhash/v2 v2.3.0 // indirect
	github.com/davecgh/go-spew v1.1.2-0.20180830191138-d8f796af33cc // indirect
	github.com/fsnotify/fsnotify v1.7.0 // indirect
	github.com/go-logr/logr v1.4.2 // indirect
	github.com/go-task/slim-sprig/v3 v3.0.0 // indirect
	github.com/gogo/protobuf v1.3.2 // indirect
	github.com/golang-jwt/jwt v3.2.2+incompatible // indirect
	github.com/golang/protobuf v1.5.3 // indirect
	github.com/google/go-cmp v0.6.0 // indirect
	github.com/google/pprof v0.0.0-20240727154555-813a5fbdbec8 // indirect
	github.com/hashicorp/hcl v1.0.0 // indirect
	github.com/jmespath/go-jmespath v0.4.0 // indirect
	github.com/jpillora/backoff v1.0.0 // indirect
	github.com/klauspost/compress v1.17.9 // indirect
	github.com/labstack/gommon v0.4.2 // indirect
	github.com/magiconair/properties v1.8.7 // indirect
	github.com/mailru/easyjson v0.7.1 // indirect
	github.com/mattn/go-colorable v0.1.13 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/mitchellh/mapstructure v1.5.0 // indirect
	github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822 // indirect
	github.com/olivere/elastic v6.2.37+incompatible // indirect
	github.com/opentracing-contrib/echo v0.0.0-20190807091611-5fe2e1308f06 // indirect
	github.com/opentracing/opentracing-go v1.2.0 // indirect
	github.com/pelletier/go-toml/v2 v2.2.2 // indirect
	github.com/pkg/errors v0.9.1 // indirect
	github.com/pmezard/go-difflib v1.0.1-0.20181226105442-5d4384ee4fb2 // indirect
	github.com/prometheus/client_model v0.6.1 // indirect
	github.com/prometheus/common v0.55.0 // indirect
	github.com/prometheus/procfs v0.15.1 // indirect
	github.com/sagikazarmark/locafero v0.4.0 // indirect
	github.com/sagikazarmark/slog-shim v0.1.0 // indirect
	github.com/satori/go.uuid v1.2.1-0.20181028125025-b2ce2384e17b // indirect
	github.com/sourcegraph/conc v0.3.0 // indirect
	github.com/speps/go-hashids v2.0.0+incompatible // indirect
	github.com/spf13/afero v1.11.0 // indirect
	github.com/spf13/cast v1.6.0 // indirect
	github.com/spf13/pflag v1.0.5 // indirect
	github.com/subosito/gotenv v1.6.0 // indirect
	github.com/valyala/bytebufferpool v1.0.0 // indirect
	github.com/valyala/fasttemplate v1.2.2 // indirect
	github.com/wavefronthq/wavefront-opentracing-sdk-go v0.10.0 // indirect
	github.com/wavefronthq/wavefront-sdk-go v0.10.4 // indirect
	gitlab.bit9.local/psckit/addons/gentlemantracing v1.0.0 // indirect
	gitlab.bit9.local/psckit/pschttp v1.0.3 // indirect
	gitlab.bit9.local/psckit/pscrbac v1.0.3 // indirect
	go.uber.org/atomic v1.9.0 // indirect
	go.uber.org/multierr v1.9.0 // indirect
	golang.org/x/crypto v0.26.0 // indirect
	golang.org/x/exp v0.0.0-20240719175910-8a7402abbf56 // indirect
	golang.org/x/mod v0.20.0 // indirect
	golang.org/x/net v0.28.0 // indirect
	golang.org/x/sync v0.8.0 // indirect
	golang.org/x/sys v0.23.0 // indirect
	golang.org/x/text v0.17.0 // indirect
	golang.org/x/time v0.5.0 // indirect
	golang.org/x/tools v0.24.0 // indirect
	gopkg.in/ini.v1 v1.67.0 // indirect
	gopkg.in/natefinch/lumberjack.v2 v2.0.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
)
